トップ «前の日記(2010/05/18(Tue)) 最新 次の日記(2010/05/20(Thu))» 編集
【ソース+水=麦茶色の何か】

半期 四半期 全カテゴリ

今日の一言


2010/05/19(Wed) 2%ー [長年日記]

_ [Linux][Ubuntu][Debian][FC][研究関係][雑記][OpenCV] OpenCVで録画をする際にエラーが出る原因(ffmpegがエラーを吐く)

具体的にはこんなエラー。

 /usr/lib/i686/cmov/libavformat.so.52: no version information available (required by /usr/local/lib/libhighgui.so.2.1)

これはどうも、vlcなどの動画プレイヤーを入れる際にaptが勝手に「libavformat」やらなんやらをインストールしてしまうのが原因っぽい。

複数それっぽいのがヒットしてしまっておかしくなる模様。

*vlcをremoveしたら、一緒にそれらが削除されて正常に動くようになった。

自分の場合、OpenCVで動画を録画するために、「ffmpeg」をソースからコンパイルしてインストールした(いろいろconfigureの設定が必要だったので)結果、こういうことになってしまっていた。

なので、「ffmpeg」を手動で入れたり、OpenCVで動画を録画したりしている場合は「libav*」が勝手に入ったりしないように注意すべし!

まあ、もっときちんと管理すれば問題なく共存できる気もするがな!

*コーデックの問題はWindowsでもよく起きるし、あまりこれ以上触りたくない・・・。下手にいじったらすべてがおかしくなりそうな気がするし。

*放置した結果、今は録画用PCと再生用PCが別になってます。うん、烈めんどう!

*とりあえず、きちんと出力できていることを確認するために、「mplayer」をソースからコンパイルして入れた。

まあ、エラーが出なかったので、最低限これでいいかなー。

[]